Subject: Re: help with USB on mpc8313e

From: Suvidh Kankariya <[email-masked]>
Date: Fri, 23 May 2008 15:59:53 -0400

Thanks Anton,
With the kernel version 2.6.20 I am using Majority of this changes are 
hard code values in mpc8313.c
I did already changed this value for my custom board file.
But I am getting  the error irrespectively.

Is the relatonship description between USB DR clk and other as mentioned 
in your thread  is documented in the manual . I could not find it 
atleast in mpc8313e user manual.

Regards

Suvidh

Anton Vorontsov wrote:
> On Fri, May 23, 2008 at 02:32:22PM -0400, Suvidh Kankariya wrote:
>   
>> Hi,
>> I am trying to use the mpc8313e internal usb phy with internal  
>> oscillator frequency of  24 Mz. in host mode on a custom board.
>> Whenever I plugin any low/fast speed device the device gets detected but  
>> then always get an error
>> "cannot read descriptor 64  error 71".Also I get address error after that .
>>
>> Can somebody point me what this error can be related to ?Can it be a  
>> problem with ehci drivers or some configuration. (I get a valid clock  
>> bit set in the status register).
>>     
>
> This reminds me: http://patchwork.ozlabs.org/linuxppc/patch?id=17782
> Was getting exactly same symptoms.
>
> Try similar changes, should help.
>
>   
>> Also can someone point me how I include support for mmc on spi. I am  
>> using kernel 2.6.20 that comes along with mpc8313e bsp.
>>
>> Any pointers are highly appreciable.
>>
>> Thanks in advance
>> Regards
>>
>> Suvidh
>>     
>
>